<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
  /**
   * Run the migrations.
   */
  public function up(): void
  {
    Schema::create('quantity_units', function (Blueprint $table) {
      $table->id();
      $table->foreignId('budget_detail_id')->nullable()->constrained('budget_details')->onDelete('cascade');
      $table->foreignId('transaction_id')->nullable()->constrained('transactions')->onDelete('cascade');
      $table->foreignId('unit_type_id')->constrained('unit_types');
      $table->bigInteger('quantity');
      $table->timestamps();
    });
  }

  /**
   * Reverse the migrations.
   */
  public function down(): void
  {
    Schema::dropIfExists('quantity_units');
  }
};
